Package org.eclipse.microprofile.lra.tck.participant.api

# Enum ContextTckResource.EndPhase

java.lang.Object
java.lang.Enum<ContextTckResource.EndPhase>
org.eclipse.microprofile.lra.tck.participant.api.ContextTckResource.EndPhase

All Implemented Interfaces:
  `Serializable`, `Comparable<ContextTckResource.EndPhase>`

Enclosing class:
  ContextTckResource

public static enum ContextTckResource.EndPhase extends Enum<ContextTckResource.EndPhase>
An enum which controls the behaviour of participant when the LRA spec implementation invokes the compensation, completion, forget and status callbacks. It is used for testing the implementation is spec compliant.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPTED`
`FAILED`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static ContextTckResource.EndPhase`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ContextTckResource.EndPhase[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACCEPTED

public static final ContextTckResource.EndPhase ACCEPTED

### FAILED

public static final ContextTckResource.EndPhase FAILED

### SUCCESS

public static final ContextTckResource.EndPhase SUCCESS

## Method Details

### values

public static ContextTckResource.EndPhase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ContextTckResource.EndPhase valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null